Package twisted :: Package web :: Module spider :: Class HTTPDownloader |
[show private | hide private]
[frames | no frames]

## Class HTTPDownloader

      Factory --+
                |
    ClientFactory --+
                    |
    HTTPClientFactory --+
                        |
           HTTPDownloader --+
                            |
                           HTTPDownloader

Method Summary
| `__init__(self, host, url, fileName, method, postdata, headers, agent)` (inherited from `HTTPDownloader`)
| ``buildProtocol`(self, addr)` Create an instance of a subclass of Protocol. (inherited from `Factory`)
| `clientConnectionFailed(self, _, reason)` (inherited from `HTTPClientFactory`)
| ``clientConnectionLost`(self, connector, reason)` Called when a connection is lost. (inherited from `ClientFactory`)
| ``doStart`(self)` Make sure startFactory is called. (inherited from `Factory`)
| ``doStop`(self)` Make sure stopFactory is called. (inherited from `Factory`)
| `gotHeaders(self, headers)`
| `noPage(self, reason)` (inherited from `HTTPClientFactory`)
| `page(self, page)` (inherited from `HTTPClientFactory`)
| `pageEnd(self)`
| `pagePart(self, s)`
| `pageStart(self)` (inherited from `HTTPDownloader`)
| ``startedConnecting`(self, connector)` Called when a connection has been started. (inherited from `ClientFactory`)
| ``startFactory`(self)` This will be called before I begin listening on a Port or Connector. (inherited from `Factory`)
| ``stopFactory`(self)` This will be called before I stop listening on all Ports/Connectors. (inherited from `Factory`)

Class Variable Summary
`int` | `expectedLength`
`DummyParser` | `parser`
`int` | `soFar`

Class Variable Details

    ### expectedLength Type: `int` Value:
        0

    ### parser Type: `DummyParser` Value:
        <twisted.web.spider.DummyParser instance at 0x8a197a4>

    ### soFar Type: `int` Value:
        0

Generated by Epydoc 1.1 on Thu May 8 13:19:08 2003 | http://epydoc.sf.net